<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div>';
$isset_clan = mysql_result(mysql_query("SELECT count(`id`) FROM `clan` WHERE `id`='".intval($_GET['id'])."'"),0);
echo '<div class="money">';

	switch($_GET['a'])
		{
		default:
		echo 'Список достижений:<br />';
		$sql_a = mysql_query("SELECT * FROM `achieve_name`");
		while($res_a = mysql_fetch_assoc($sql_a))
			{
			echo '- <a href="?a=view&amp;id='.$res_a['id'].'">'.$res_a['name'].'</a><br />';
			}
			echo '</div>';
		break;

		case 'view':
		$isset_this_a = mysql_result(mysql_query("SELECT count(id) FROM `achieve_name` WHERE `id`='".intval($_GET['id'])."'"),0);
		if ($isset_this_a > '0')
			{
			$a_name = mysql_fetch_array(mysql_query("SELECT * FROM `achieve_name` WHERE `id`='".intval($_GET['id'])."'"));
			$a = mysql_fetch_array(mysql_query("SELECT * FROM `achieve` WHERE `num`='".intval($_GET['id'])."' AND `user`='$id'"));
			if (intval($_GET['n'])=='1' AND $a['see']=='0' AND intval($a['count']) >= intval($a_name['count']))
				{
				mysql_query("UPDATE `users` SET `gold`=gold+'1' WHERE `id`='$id'");
				mysql_query("UPDATE `achieve` SET `see`='1' WHERE `id`='$a[id]'");
				echo 'Вы получили золотую монету!</div><a class="razd" href="achiev.php?a=view&amp;id='.$a_name['id'].'">'.$a_name['name'].'</a>';
				} else {
			echo '<b>'.$a_name['name'].'</b></div>';
			echo '<img src="./img_achiev/'.$a_name['id'].'.png" alt=*  style="float:left; padding:5px">';
			echo '<div class="money">';
			echo 'Описание: '.$a_name['des'].'';
			echo '<br /><u>Прогресс:</u> <b>'.intval($a['count']).'</b> из <b>'.intval($a_name['count']).'</b>';
			echo ' <div style="clear: left"></div>';
			if (intval($a['count']) >= intval($a_name['count'])) echo '<br /><b>Выполнено!</b>';

			if ($a['see']=='0' AND intval($a['count']) >= intval($a_name['count'])) echo '</div><a class="razd" href="'.$self.'&amp;n=1">Забрать награду</a>';
					   }
			} else header("Location: achiev.php");
		echo '</div><a class="razd" href="achiev.php">Список достижений</a>';

		break;
		}



//футер
echo '
<div class="info">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center>
<a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';



?>